Subject: SWiM for Linux- fixed!
From: [email-masked] (Douglas Frank)
Date: Mon, 17 Oct 1994 16:02:50 GMT
Newsgroups: comp.os.linux.announce,comp.windows.x.motif

Good news for Linux users who plunked down $150 for the "SWiM" (c)
port of Motif 1.2.4.  Rather than waste your time reacquainting you
with the frustrations and disappointments you met trying to build
Motif apps on this broken distribution, let's get right to the fixes.

I have uploaded replacements for the three files which are the source
of our troubles.  Thanks to Torsten Eichner and Bogdan Urma for their
suggestions as to what links were missing.  I too thought this was
probably the problem- ie that Slackware was missing some links, or
perhaps that GUI Corporation's install script was written for a different
Linux distribution, so made links incompatible with Slackware.
However, the problem wasn't that simple.  It isn't the links at all.

Simply replace your existing /usr/X386/lib/X11/config/Imake.tmpl,
/usr/X386/lib/X11/Xm/demos/Imakefile, and /usr/X386/lib/X11/Xm/bind-
ings/xmbind.alias with the replacements uploaded to sunsite.  The
patches (documented there) have _already_ been applied; all you need
to do is uncompress them and cp them to their proper home (tar will
extract them into the current directory).  Of course, you will need
root privileges to do this.

The files have been uploaded to sunsite.unc.edu.
Look for /uploads/swimfix1_2_4_a.tgz.
Eventually, they will be moved from there to a more appropriate place.

Having applied these fixes to my own Linux box (Slackware 2.0: 1.0.9
kernel), I was able to 'mxmkmf -a' the demos in /usr/.../demos _and_
the demo sources on ftp.uu.net for the O'Reilly books.  NO PROBLEM!
(And if you do it on a 386-20/8MB like mine, you get an HOUR of enjoyment
watching 'make' do its stuff! :)

Good luck, and happy widgeting!

--Doug
[email-masked]

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.